[Unit]
Description=Running interface-rename to ensure ordering of ethernet names
ConditionFileIsExecutable=/etc/sysconfig/network-scripts/interface-rename.py
Requires=systemd-udev-settle.service systemd-udev-trigger.service
After=systemd-udev-settle.service systemd-udev-trigger.service
Before=xcp-networkd.service network.service

[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=/usr/bin/udevadm settle --timeout=180
ExecStart=/usr/bin/udevadm trigger
ExecStart=/usr/bin/udevadm settle --timeout=180
ExecStart=/usr/bin/python /etc/sysconfig/network-scripts/interface-rename.py --rename

[Install]
WantedBy=multi-user.target
